#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/logwatch/conf/logwatch.conf.new
config etc/logwatch/conf/ignore.conf.new
( cd usr/sbin ; rm -rf logwatch )
( cd usr/sbin ; ln -sf /etc/logwatch/scripts/logwatch.pl logwatch )
( cd etc/cron.daily ; rm -rf logwatch )
( cd etc/cron.daily ; ln -sf /usr/sbin/logwatch logwatch )
